Subject: Re: MPC8xx CPM I2C interface driver

From: Vitaly Bordug <[email-masked]>
Date: Mon, 23 Oct 2006 02:50:01 +0400

On Tue, 10 Oct 2006 11:05:49 +0200
Norbert van Bolhuis wrote:

> 
> Is there no MPC8xx CPM I2C interface driver in (latest) linux v2.6 or
> am I mistaken ?
> There's no code for CONFIG_I2C_ALGO8XX.
The answer is - no, there is no stuff in the 2.6 kernel. I used to have the port from 2.4 a while ago (an 
improvement to the patches posted here btw)  but had no chance to cleanup it and push through lm_sensors.

> 
> I've a MPC870 based board and I was hoping for a MPC8xx CPM I2C
> interface driver to be there (allowing user applications to open and
> read/write /dev/i2c-0)
> 
You should be able to locate sources in this list's archives. Ping me once more if not, I'll try to dig it out of my HDD then...

> Thanks,
> N.

--
-Vitaly